Acer 1830T, Intel HDA, ALC269VB : microphone does not work after upgrade to Quantal/kernel 3.4.0

Bug #1006690 reported by Wladimir Mutel on 2012-05-31
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Herton R. Krzesinski
Quantal
Medium
Herton R. Krzesinski

Bug Description

HW info will collect with apport, but you may find it collected here in Launchpad many times
Also will compare this to Precise kernel 3.2.0-24 and tell you whether it is better.
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.25.
ApportVersion: 2.1.1-0ubuntu1
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269VB Analog [ALC269VB Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: mwg 1908 F.... pulseaudio
                      mwg 2218 F.... alsamixer
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd4400000 irq 43'
   Mixer name : 'Intel IbexPeak HDMI'
   Components : 'HDA:10ec0269,1025040e,00100100 HDA:80862804,104d4b00,00100000'
   Controls : 30
   Simple ctrls : 14
DistroRelease: Ubuntu 12.10
HibernationDevice: RESUME=UUID=6932e499-f0ad-4456-b93c-2b7f9bf763dc
InstallationMedia: Kubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
MachineType: Acer Aspire xxxx
Package: linux 3.4.0.3.4
PackageArchitecture: amd64
ProcEnviron:
 LANGUAGE=
 TERM=xterm
 LANG=uk_UA.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.4.0-3-generic root=UUID=9bc29087-2e9e-4bf9-bea1-2540902b5ae3 ro rootflags=commit=3600 enable_mtrr_cleanup mtrr_spare_reg_nr=1 b43.blacklist=yes
ProcVersionSignature: Ubuntu 3.4.0-3.8-generic 3.4.0
RelatedPackageVersions:
 linux-restricted-modules-3.4.0-3-generic N/A
 linux-backports-modules-3.4.0-3-generic N/A
 linux-firmware 1.80
StagingDrivers: mei
Tags: quantal staging
Uname: Linux 3.4.0-3-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout disk kvm lpadmin netdev plugdev sambashare src
dmi.bios.date: 05/06/2011
dmi.bios.vendor: INSYDE
dmi.bios.version: V1.24
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: JV10_CS
dmi.board.vendor: Intel Corp.
dmi.board.version: Base Board Version
dmi.chassis.type: 1
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnINSYDE:bvrV1.24:bd05/06/2011:svnAcer:pnAspirexxxx:pvrV1.24:rvnIntelCorp.:rnJV10_CS:rvrBaseBoardVersion:cvnChassisManufacturer:ct1:cvrChassisVersion:
dmi.product.name: Aspire xxxx
dmi.product.version: V1.24
dmi.sys.vendor: Acer

apport information

tags: added: apport-collected quantal staging
description: updated

apport information

apport information

apport information

Wladimir Mutel (mwg) wrote : CRDA.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Brad Figg (brad-figg) on 2012-05-31
Changed in linux (Ubuntu):
status: New → Confirmed
Wladimir Mutel (mwg) wrote :

Downgraded the kernel to Precise one (linux-image-3.2.0-24-generic 3.2.0-24.39)
Tested the mic in Skype, and it works well.
Something wrong has definitely happened on the way from Precise to Quantal kernel.

Wladimir Mutel, thank you for reporting this and helping make Ubuntu better. If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.

Please let us know your results. Thanks in advance.

tags: added: needs-bisect needs-upstream-testing regression-release
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Wladimir Mutel (mwg) wrote :

Tested mic. with Skype after reboot. No voice recorded, only noise. So this bug is reproducible with mainline kernel as well.

tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing
Wladimir Mutel (mwg) wrote :

Rebooted with 3.2.0-24-generic, the mic. works perfectly again. Right after the reboot.

Changed in linux (Ubuntu):
importance: Undecided → Medium
Joseph Salisbury (jsalisbury) wrote :

Wladimir,

I'd like to perform a kernel bisect to narrow down when this regression was introduced. If possible, could you help test some kernels?

If so, it would be great if you can start by testing the following kernels:

The latest Quantal kernel(Both linux-image and linux-image-extra .debs) :
https://launchpad.net/ubuntu/+source/linux/3.4.0-3.8/+build/3525013

The first release candidate v3.3 mainline kernel:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3-rc1-precise/

The first v3.4 release candidate(Only if v3.3-rc1 does not have the bug):
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-rc1-precise/

Thanks in advance

tags: added: kernel-da-key
Joseph Salisbury (jsalisbury) wrote :

It would also be great, if you can test the latest v3.5-rc1 kernel, just to confirm the bug is not already fixed there:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5-rc1-quantal/

tags: added: kernel-bisecting
removed: needs-bisect
tags: added: performing-bisect
removed: kernel-bisecting
Wladimir Mutel (mwg) wrote :

Well, it works with 3.4-rc1 but does not work with 3.4.0-5-generic

Wladimir Mutel (mwg) wrote :

3.5.0-1-generic : also no luck with mic.

Should I try mainline 3.4-rc2..rc7 ?

Joseph Salisbury (jsalisbury) wrote :

@Wladimir, yes that would be great. It would be good to know which release candidate introduced this regression. We can then bisect that version to find the specific commit.

Wladimir Mutel (mwg) wrote :

ok, the last healthy version is 3.4-rc6
(3.4-rc7 did not test as there is only 'headers' package)
and the first broken version is 3.4.1
(exactly where it started to be splitted into linux-image and linux-image-extra packages)
and it is broken up to 3.5.0-6 which I use in Quantal now.

Wladimir Mutel (mwg) wrote :

meant, 3.5.0-6 also has broken mic.

Wladimir Mutel (mwg) wrote :

forgot to test 3.4-precise and 3.4-quantal (3.4.0-030400-)
they both are broken

so, 3.4-rc6 is healthy
3.4 final is broken
3.5 final is also broken (both mainine and Ubuntu)

Joseph Salisbury (jsalisbury) wrote :

I started a kernel bisect between v3.4-rc6 and v3.4 final. This will require us to test about 7-8 kernels. The first kernel is built up to commit:
4e6304b8420aba5311ba21fd68dab2924ae4d91a

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp1006690/

Can you test that kernel and report back if it has the bug or not?

Wladimir Mutel (mwg) wrote :

Tested this build. It did not work.
Can you build the same bisection with Precise configs ?
(i.e., single big linux-image-generic package instead of split generic+extra)

Wladimir Mutel (mwg) wrote :

quantal 3.5.0-9 : does not work also

Joseph Salisbury (jsalisbury) wrote :

When you say it did not work, does that mean it has the bug, or you could not install it?

Wladimir Mutel (mwg) wrote :

I was able to install&boot it, but the mic. did not work.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, which is up to commit:
7c283324da366a3e6ffaad4352a51a3c71fcae17

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp1006690

Can you test this latest kernel and report back if it has the bug or not?

Wladimir Mutel (mwg) wrote :

Linux version 3.4.0-030400rc6-generic (jsalisbury@tangerine) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201208151841 SMP Wed Aug 15 17:45:14 UTC 2012

microphone does not work.

Wladimir Mutel (mwg) wrote :

Linux version 3.4.0-030400rc6-generic (apw@gomeisa) (gcc version 4.4.3 (Ubuntu 4.4.3-4ubuntu5.1) ) #201205061835 SMP Sun May 6 22:36:08 UTC 2012

microphone works.

again, this last working package is built with Precise configs as a single big package.
and all non-working pkgs are built as split generic+extra pkgs.
also, gcc version there was 4.4 vs 4.6 which is used now.
so the cause may be more various than what can be found by bisection.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, which is up to commit:
22b6dd78aec32abf38d9b187dea2e0a8b28aa186

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp1006690

Can you test this latest kernel and report back if it has the bug or not?

Wladimir Mutel (mwg) wrote :

Linux version 3.4.0-030400rc6-generic (jsalisbury@tangerine) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201208201540 SMP Mon Aug 20 14:44:10 UTC 2012

microphone works!

now the version is rolled back enough in the past :>

Wladimir Mutel (mwg) wrote :

Linux version 3.5.0-11-generic (buildd@batsu) (gcc version 4.7.1 20120814 (prerelease) (Ubuntu/Linaro 4.7.1-7ubuntu1) ) #11-Ubuntu SMP Thu Aug 16 21:03:52 UTC 2012 (Ubuntu 3.5.0-11.11-generic 3.5.2)

microphone does not work (quantal 3.5.0-11-generic)

Wladimir Mutel (mwg) wrote :

Linux version 3.5.0-13-generic (buildd@batsu) (gcc version 4.7.1 20120814 (prerelease) (Ubuntu/Linaro 4.7.1-7ubuntu1) ) #13-Ubuntu SMP Mon Aug 27 21:33:57 UTC 2012 (Ubuntu 3.5.0-13.13-generic 3.5.3)

microphone does not work (quantal 3.5.0-13-generic)

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, which is up to commit:
ed3ac021e5038696fd38670e83219cea487f66be

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp1006690

Can you test this latest kernel and report back if it has the bug or not?

Wladimir Mutel (mwg) wrote :

Linux version 3.4.0-030400rc6-generic (jsalisbury@tangerine) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201208291659 SMP Wed Aug 29 16:01:17 UTC 2012

microphone does not work

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, which is up to commit:
9ea3356d7979909d19252f7e552fb879643eaa70

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp1006690

Can you test this latest kernel and report back if it has the bug or not?

Wladimir Mutel (mwg) wrote :

Linux version 3.4.0-030400rc1-generic (jsalisbury@tangerine) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201209051628 SMP Wed Sep 5 15:30:04 UTC 2012

microphone does not work.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, which is up to commit:
42eb92380f73f28e3a5a51973af1183fdbac82f2

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp1006690

Can you test this latest kernel and report back if it has the bug or not?

Wladimir Mutel (mwg) wrote :

Linux version 3.4.0-030400rc1-generic (jsalisbury@tangerine) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201209071527 SMP Fri Sep 7 14:29:03 UTC 2012

microphone works!

Wladimir Mutel (mwg) wrote :

Linux version 3.5.0-14-generic (buildd@komainu) (gcc version 4.7.1 20120814 (prerelease) (Ubuntu/Linaro 4.7.1-7ubuntu1) ) #15-Ubuntu SMP Thu Sep 6 23:05:06 UTC 2012 (Ubuntu 3.5.0-14.15-generic 3.5.3)

microphone does not work (quantal 3.5.0-14-generic)

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, which is up to commit:
619a341b78f17fb86d92e89c04612676cd05e26f

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp1006690

Can you test this latest kernel and report back if it has the bug or not?

We should only have to test one or two more kernels before the commit that caused this bug is identified.

Wladimir Mutel (mwg) wrote :

Linux version 3.4.0-030400rc1-generic (jsalisbury@tangerine) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201209121959 SMP Wed Sep 12 19:02:07 UTC 2012

microphone does not work.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, which is up to commit:
af741c150f66db8d1da6f82ac75e2571f7f1dd38

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp1006690

Can you test this latest kernel and report back if it has the bug or not?

Wladimir Mutel (mwg) wrote :

Linux version 3.4.0-030400rc1-generic (jsalisbury@tangerine) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201209142011 SMP Fri Sep 14 19:14:10 UTC 2012

microphone does not work.

Wladimir Mutel (mwg) wrote :

and now, from what I see in
http://kernel.opensuse.org/cgit/kernel/commit/?id=af741c150f66db8d1da6f82ac75e2571f7f1dd38
we can try reverting the patch which moves
alc_auto_parse_customize_define
call site in function
patch_alc269 ?

Joseph Salisbury (jsalisbury) wrote :

Yes, git also reports that as being the bad commit:

git bisect bad af741c150f66db8d1da6f82ac75e2571f7f1dd38

af741c150f66db8d1da6f82ac75e2571f7f1dd38 is the first bad commit
commit af741c150f66db8d1da6f82ac75e2571f7f1dd38
Author: Takashi Iwai <email address hidden>
Date: Mon May 7 18:09:48 2012 +0200

ALSA: hda/realtek - Call alc_auto_parse_customize_define() always after fixup

I'll build a Quantal test kernel with that commit reverted and post it shortly.

Joseph Salisbury (jsalisbury) wrote :

I built a Quantal test kernel with commit af741c1 reverted. I had to do some minor backporting, but nothing extensive.

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp1006690

Can you test this latest kernel and report back if it has the bug or not?

Wladimir Mutel (mwg) wrote :
Download full text (4.9 KiB)

Linux version 3.5.0-15-generic (root@tangerine) (gcc version 4.7.1 (Ubuntu/Linaro 4.7.1-9ubuntu2) ) #20~lp1006690v1 SMP Tue Sep 18 15:45:39 UTC 2012 (Ubuntu 3.5.0-15.20~lp1006690v1-generic 3.5.4)

no sound at all. not even alsamixer sees any devices. and this fault in dmesg :

[ 23.550249] snd_hda_intel 0000:00:1b.0: irq 43 for MSI/MSI-X
[ 23.629710] BUG: unable to handle kernel NULL pointer dereference at 0000000000000460
[ 23.629834] IP: [<ffffffffa0437026>] alc_auto_parse_customize_define+0x16/0x150 [snd_hda_codec_realtek]
[ 23.629922] PGD 12f422067 PUD 12f423067 PMD 0
[ 23.629988] Oops: 0000 [#1] SMP
[ 23.630040] CPU 0
[ 23.630060] Modules linked in: snd_hda_codec_realtek snd_hda_intel(+) joydev uvcvideo snd_hda_codec snd_hwdep i915 videobuf2_core snd_pcm snd_seq_midi snd_rawmidi arc4 snd_seq_midi_event
snd_seq videodev brcmsmac videobuf2_vmalloc snd_timer videobuf2_memops mac80211 snd_seq_device drm_kms_helper brcmutil snd kvm_intel kvm psmouse soundcore cfg80211 drm wmi snd_page_alloc serio_raw cordic bcma microcode lpc_ich i2c_algo_bit mac_hid video intel_ips mei coretemp atl1c
[ 23.630718]
[ 23.630730] Pid: 359, comm: modprobe Not tainted 3.5.0-15-generic #20~lp1006690v1 Acer Aspire xxxx/JV10_CS
[ 23.630828] RIP: 0010:[<ffffffffa0437026>] [<ffffffffa0437026>] alc_auto_parse_customize_define+0x16/0x150 [snd_hda_codec_realtek]
[ 23.630926] RSP: 0018:ffff88012f52fb48 EFLAGS: 00010292
[ 23.630972] RAX: ffffffffa043e950 RBX: 0000000000000000 RCX: 0000000000000000
[ 23.631030] RDX: 0000000000000007 RSI: 0000000000000000 RDI: ffff88012fbae000
[ 23.631087] RBP: ffff88012f52fb58 R08: ffff880137c16740 R09: ffff88012de65d20
[ 23.631143] R10: ffffea0004b67b40 R11: ffffffff8106ce24 R12: ffff88012fbae000
[ 23.631199] R13: ffff88012fbae000 R14: 00000000ffffffff R15: ffffffffa0444000
[ 23.631256] FS: 00007f124fb85700(0000) GS:ffff880137c00000(0000) knlGS:0000000000000000
[ 23.631321] CS: 0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[ 23.631368] CR2: 0000000000000460 CR3: 000000012fbe3000 CR4: 00000000000007f0
[ 23.631425] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[ 23.631482] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[ 23.631539] Process modprobe (pid: 359, threadinfo ffff88012f52e000, task ffff88012d4e4500)
[ 23.631603] Stack:
[ 23.634055] ffff88012fbae000 0000000000000001 ffff88012f52fb88 ffffffffa043e96a
[ 23.636552] ffff88012f52fb88 ffffffffa0442088 0000000000000001 ffff88012fbae000
[ 23.639081] ffff88012f52fbf8 ffffffffa03fc456 000288012f52fbf8 2d6164682d646e73
[ 23.641595] Call Trace:
[ 23.644069] [<ffffffffa043e96a>] patch_alc269+0x1a/0x2d0 [snd_hda_codec_realtek]
[ 23.646572] [<ffffffffa03fc456>] snd_hda_codec_configure+0x146/0x440 [snd_hda_codec]
[ 23.649087] [<ffffffffa01e49b5>] azx_probe_continue+0x297/0x37c [snd_hda_intel]
[ 23.651605] [<ffffffffa01e32d0>] ? azx_get_response+0x280/0x280 [snd_hda_intel]
[ 23.654124] [<ffffffffa01e3050>] ? azx_irq_pending_work+0x150/0x150 [snd_hda_intel]
[ 23.656642] [<ffffffffa01e39c0>] ? azx_dev_free+0x20/0x20 [snd_hda_intel]
[ 23.659182] [<ffffffffa01e2e70>] ? azx_resume+...

Read more...

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing the previous kernel and posting the trace.

I built a second Quantal test kernel with commit af741c1 reverted.

The kernel is named linux-image-3.5.0-15-generic_3.5.0-15.22~lp1006690v2_amd64.deb and is available from:
http://people.canonical.com/~jsalisbury/lp1006690

Can you test this latest kernel and report back if it has the bug or not?

Wladimir Mutel (mwg) wrote :

Linux version 3.5.0-15-generic (root@tangerine) (gcc version 4.7.1 (Ubuntu/Linaro 4.7.1-9ubuntu2) ) #22~lp1006690v2 SMP Fri Sep 21 16:11:45 UTC 2012 (Ubuntu 3.5.0-15.22~lp1006690v2-generic 3.5.4)

microphone works!

Joseph Salisbury (jsalisbury) wrote :

Thanks for all the helping testing. So it appears commit af741c1 is the cause of this regression.

As one last test, can you test the latest mainline kernel[0]? I'd just like to confirm the bug isn't fixed in the mainline kernel before requesting a revert of this commit in Quantal.

Thanks again!

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc7-quantal/

Changed in linux (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
status: Incomplete → In Progress
Wladimir Mutel (mwg) wrote :

Linux version 3.6.0-030600rc7-generic (apw@gomeisa) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201209232235 SMP Mon Sep 24 02:36:02 UTC 2012

microphone does not work. (audio devices are visible, playback works)

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing, Wladimir. I sent a request to have commit af741c1 reverted in Quantal. If approved, I will also send a request to have the commit reverted in upstream linux-stable v3.5.

Herton R. Krzesinski (herton) wrote :

The revert can bring other problems, so we are going with a fix instead. Can you test the kernel from http://people.canonical.com/~herton/lp1006690/ and confirm it works ok? It has a proposed fix for the bug. If it works ok, we'll work to get it applied.

Changed in linux (Ubuntu):
status: In Progress → Incomplete
assignee: Joseph Salisbury (jsalisbury) → Herton R. Krzesinski (herton)
Wladimir Mutel (mwg) wrote :

Linux version 3.5.0-15-generic (root@gomeisa) (gcc version 4.7.2 (Ubuntu/Linaro 4.7.2-1ubuntu1) ) #23+lp1006690r1 SMP Wed Sep 26 21:59:28 UTC 2012 (Ubuntu 3.5.0-15.23+lp1006690r1-generic 3.5.4)

microphone works! (however Skype adjusts 'Mic.Boost' level instead of 'Capture' but that's probably another topic)

Changed in linux (Ubuntu):
status: Incomplete → In Progress
Tim Gardner (timg-tpi) on 2012-09-27
Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: removed: performing-bisect
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-16.24

---------------
linux (3.5.0-16.24) quantal-proposed; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: ata_piix: add a disable_driver option
    - LP: #994870

  [ Christian König ]

  * (pre-stable) drm/radeon: make 64bit fences more robust v3 (3.5 stable)
    - LP: #1029582

  [ David Henningsson ]

  * SAUCE: ALSA: hda - use both input paths on Conexant auto parser
    - LP: #1037642
  * SAUCE: ALSA: hda - fix control names for multiple speaker out on
    IDT/STAC
    - LP: #1046734

  [ Herton Ronaldo Krzesinski ]

  * SAUCE: ALSA: hda/via - don't report presence on HPs with no presence
    support
    - LP: #1052499
  * SAUCE: ext4: fix crash when accessing /proc/mounts concurrently
    - LP: #1053019
  * SAUCE: ALSA: hda/realtek - Fix detection of ALC271X codec
    - LP: #1006690

  [ Kyle Fazzari ]

  * SAUCE: input: Cypress PS/2 Trackpad fix disabling tap-to-click
    - LP: #1048816

  [ Leann Ogasawara ]

  * [Config] Disable CONFIG_DRM_AST
    - LP: #1053290

  [ Stefan Bader ]

  * [Config] Disable the Cirrus QEMU drm driver
    - LP: #1038055

  [ Upstream Kernel Changes ]

  * Revert "KVM: VMX: Fix KVM_SET_SREGS with big real mode segments"
    - LP: #1045027
  * x86, efi: Handover Protocol
  * drm/i915: HDMI - Clear Audio Enable bit for Hot Plug
    - LP: #1056729
  * UBUNTU SAUCE: apparmor: fix IRQ stack overflow
    - LP: #1056078
  * drm/nouveau: fix booting with plymouth + dumb support
    - LP: #1043518
  * ALSA: hda - Add DeviceID for Haswell HDA
    - LP: #1057698
  * ALSA: hda - add Haswell HDMI codec id
    - LP: #1057698
  * ALSA: hda - Fix driver type of Haswell controller to AZX_DRIVER_SCH
    - LP: #1057698
  * ALSA: hda_intel: Add Device IDs for Intel Lynx Point-LP PCH
    - LP: #1011438, #1057698

  [ Wang Xingchao ]

  * SAUCE: ALSA: hda - Add another pci id for Haswell board
    - LP: #1057698

  [ Wen-chien Jesse Sung ]

  * SAUCE: drm/i915: Explicitly disable RC6 for certain models
    - LP: #1002170, #1008867
 -- Leann Ogasawara <email address hidden> Thu, 27 Sep 2012 13:55:52 -0700

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Quantal in -proposed solves the problem (3.5.0-18.29). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-quantal' to 'verification-done-quantal'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-quantal
Luis Henriques (henrix) wrote :

As the fix for this issue has been applied as a stable update for 3.5.7, I'm tagging this bug as verified in Quantal.

tags: added: verification-done-quantal
removed: verification-needed-quantal

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers